Bug 62989 - splitdistro doesn't know how to span multiple disks dynamically
splitdistro doesn't know how to span multiple disks dynamically
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-04-08 18:05 EDT by Jeff Lovell
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-22 20:00:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
diff mailed to me (4.58 KB, patch)
2002-04-08 18:17 EDT, Jeremy Katz
no flags Details | Diff

  None (edit)
Description Jeff Lovell 2002-04-08 18:05:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020326

Description of problem:
i have been playing with the splitdistro that is included with the 7.2 version
of anaconda.  when wanted to span more than 2 binary CDs i discovered that
splitodisto would have to be modified.  so i went and grabbed the latest version
from skipjack and saw that it would work.  but i figured that as soon as i
needed to go more than 3 CDs i would run into the same problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. put enough RPMS in ths i386/RedHat/RPMS directory to fill 3 CDS
2. run splitdistro against it
3. notice that disc2 is too large to fit on a CD

Actual Results:  i386-disc2 was over 800 megabytes

Expected Results:  splitdistro should know how many CDs to create and make the
hierarchies the correct size.

Additional info:
Comment 1 Jeff Lovell 2002-04-08 18:12:56 EDT
diff mailed to katzj@redhat.com
Comment 2 Jeremy Katz 2002-04-08 18:17:43 EDT
Created attachment 52785 [details]
diff mailed to me
Comment 3 Jeremy Katz 2002-04-08 18:19:19 EDT
Unfortunately, this doesn't let us get away with doing things like 2.5 binary,
2.5 source CDs like we're currently doing for skipjack, so this isn't a great
solution either. :(
Comment 4 Jeff Lovell 2002-04-08 18:47:12 EDT
i'll clean that up and diff it against skipjack.  shouldn't be too hard to get in.
Comment 5 Jeremy Katz 2003-01-22 20:00:40 EST
Without patches, this is just going to get updated as we need new functionality

Note You need to log in before you can comment on or make changes to this bug.